# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(B.pm) perl(Hash/Util.pm) perl(IO/Handle.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-autobox-Core
Version:        1.24
Release:        alt1_2
Summary:        Core functions exposed as methods in primitive types
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/autobox-Core/
Source0:        http://www.cpan.org/modules/by-module/autobox/autobox-Core-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(autobox.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
The autobox module lets you call methods on primitive datatypes such as
scalars and arrays.

%prep
%setup -q -n autobox-Core-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.24-alt1_2
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.24-alt1_1
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.21-alt1_1
- fc import

